<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CTrackID
{
    /**
     * @var string
     */
    private $track_id;

    public function getTrack_id(): string
    {
        return $this->track_id;
    }

    public function withTrack_id(string $track_id): CTrackID
    {
        $new = clone $this;
        $new->track_id = $track_id;

        return $new;
    }
}
